Dry run: detected language and normalised text for a profile
POST
/api/v1/tts:normalize
const url = 'https://example.com/api/v1/tts:normalize';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"language":"example","preroll":true,"profile":{"audio":{"format":"example","gainDb":1,"keepSilence":true,"leadSilenceMs":1,"noNormalize":true,"preroll":"example","sampleRate":1,"trailSilenceMs":1},"cacheDisabled":true,"config":{"additionalProperty":"example"},"createdAt":"2026-04-15T12:00:00Z","description":"example","detect":{"languages":["example"],"minConfidence":1,"mode":"example"},"engine":"example","fallback":"example","id":"example","language":"example","name":"example","normalize":{"acronyms":"example","digitsFrom":1,"disabled":true,"identifiers":"example","ipAddresses":"example","lexicon":[{"from":"example","matchCase":true,"substring":true,"to":"example"}],"noBuiltinLexicon":true,"numbers":"example","regex":[{"pattern":"example","replace":"example"}],"spellOut":["example"],"symbols":"example","units":"example","urls":"example"},"rate":1,"tenantId":"example","updatedAt":"2026-04-15T12:00:00Z","version":1,"voice":"example","voices":{"additionalProperty":"example"}},"profileName":"example","text":"example","voice":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/tts:normalize \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "language": "example", "preroll": true, "profile": { "audio": { "format": "example", "gainDb": 1, "keepSilence": true, "leadSilenceMs": 1, "noNormalize": true, "preroll": "example", "sampleRate": 1, "trailSilenceMs": 1 }, "cacheDisabled": true, "config": { "additionalProperty": "example" }, "createdAt": "2026-04-15T12:00:00Z", "description": "example", "detect": { "languages": [ "example" ], "minConfidence": 1, "mode": "example" }, "engine": "example", "fallback": "example", "id": "example", "language": "example", "name": "example", "normalize": { "acronyms": "example", "digitsFrom": 1, "disabled": true, "identifiers": "example", "ipAddresses": "example", "lexicon": [ { "from": "example", "matchCase": true, "substring": true, "to": "example" } ], "noBuiltinLexicon": true, "numbers": "example", "regex": [ { "pattern": "example", "replace": "example" } ], "spellOut": [ "example" ], "symbols": "example", "units": "example", "urls": "example" }, "rate": 1, "tenantId": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1, "voice": "example", "voices": { "additionalProperty": "example" } }, "profileName": "example", "text": "example", "voice": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
language
string
preroll
boolean
profile
object
audio
required
object
format
string
gainDb
number
keepSilence
boolean
leadSilenceMs
integer
noNormalize
boolean
preroll
string
sampleRate
integer
trailSilenceMs
integer
cacheDisabled
boolean
config
object
key
additional properties
string
createdAt
required
string format: date-time
description
string
detect
required
object
languages
Array<string>
minConfidence
number
mode
string
engine
required
string
fallback
string
id
required
string
language
string
name
required
string
normalize
required
object
acronyms
string
digitsFrom
integer
disabled
boolean
identifiers
string
ipAddresses
string
lexicon
Array<object>
object
from
required
string
matchCase
boolean
substring
boolean
to
required
string
noBuiltinLexicon
boolean
numbers
string
regex
Array<object>
object
pattern
required
string
replace
required
string
spellOut
Array<string>
symbols
string
units
string
urls
string
rate
number
tenantId
required
string
updatedAt
required
string format: date-time
version
required
integer
voice
string
voices
object
key
additional properties
string
profileName
string
text
required
string
voice
string
Examplegenerated
{ "language": "example", "preroll": true, "profile": { "audio": { "format": "example", "gainDb": 1, "keepSilence": true, "leadSilenceMs": 1, "noNormalize": true, "preroll": "example", "sampleRate": 1, "trailSilenceMs": 1 }, "cacheDisabled": true, "config": { "additionalProperty": "example" }, "createdAt": "2026-04-15T12:00:00Z", "description": "example", "detect": { "languages": [ "example" ], "minConfidence": 1, "mode": "example" }, "engine": "example", "fallback": "example", "id": "example", "language": "example", "name": "example", "normalize": { "acronyms": "example", "digitsFrom": 1, "disabled": true, "identifiers": "example", "ipAddresses": "example", "lexicon": [ { "from": "example", "matchCase": true, "substring": true, "to": "example" } ], "noBuiltinLexicon": true, "numbers": "example", "regex": [ { "pattern": "example", "replace": "example" } ], "spellOut": [ "example" ], "symbols": "example", "units": "example", "urls": "example" }, "rate": 1, "tenantId": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1, "voice": "example", "voices": { "additionalProperty": "example" } }, "profileName": "example", "text": "example", "voice": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
lang
required
string
segments
required
Array<object>
object
lang
required
string
text
required
string
voice
string
text
required
string
Examplegenerated
{ "lang": "example", "segments": [ { "lang": "example", "text": "example", "voice": "example" } ], "text": "example"}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}